﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using TreeViewLoadonDemandRIAServices.Web;
using Telerik.Windows.Controls;

namespace TreeViewLoadonDemandRIAServices.Views
{
	public partial class PanelBarPage : Page
	{
		NorthwindDomainContext context = new NorthwindDomainContext();
		public PanelBarPage()
		{
			InitializeComponent();
			this.Loaded += new RoutedEventHandler(PanelBarPage_Loaded);
		}

		void PanelBarPage_Loaded(object sender, RoutedEventArgs e)
		{
			this.myPanelBar.ItemsSource = context.Customers;
			context.Load(context.GetCustomersQuery());
		}

		// Executes when the user navigates to this page.
		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
		}

		private void myPanelBar_Selected(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadPanelBarItem selectedItem = e.OriginalSource as RadPanelBarItem;

			if (selectedItem.Item as Customer != null && (selectedItem.Item as Customer).Orders.Count == 0)
			{
				context.Load(context.GetCustomerOrdersQuery((selectedItem.Item as Customer).CustomerID));
				
				foreach (Customer cust in myPanelBar.Items)
				{
					(myPanelBar.ItemContainerGenerator.ContainerFromItem(cust) as RadPanelBarItem).IsExpanded = false;
				}
				selectedItem.IsExpanded = true;
			}
		}
	}
}
